package com.cheesr.layers.api.util;

import org.springframework.beans.BeansException;
import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationContextAware;

public class Injector implements ApplicationContextAware {

    private static Injector instance;

    public static Injector getInstance() {
        return instance;
    }

    public Injector() {
        instance = this;
    }

    private ApplicationContext ctx;

    @Override
    public void setApplicationContext(ApplicationContext applicationContext) throws BeansException {
        this.ctx = applicationContext;
    }

    public void inject(Object obj) {
        ctx.getAutowireCapableBeanFactory().autowireBean(obj);
    }

}
