package com.cheesr.layers.dao;

import java.util.List;

import com.cheesr.layers.domain.product.Cheese;
import com.cheesr.layers.domain.product.Product;
import com.cheesr.layers.domain.product.Wine;

public interface ProductDao {

    List<Product> getAllProducts();

    List<Wine> getAllWines();

    List<Cheese> getAllCheeses();

	Cheese getCheeseById(Long id);
	
	List<Cheese> findCheeseByName(String name);
	
}
