package com.cheesr.layers.domain.product;

import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.ManyToMany;

@Entity
@DiscriminatorValue("Cheese")
public class Cheese extends Product {
	
    @ManyToMany(targetEntity = Wine.class, fetch = FetchType.LAZY, cascade = { CascadeType.MERGE })
    private Set<Wine> matchingWines;

    public Set<Wine> getMatchingWines() {
        return matchingWines;
    }

}
