package com.cheesr.layers.domain.product;

import java.util.Set;

import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;
import javax.persistence.ManyToMany;

@Entity
@DiscriminatorValue("Wine")
public class Wine extends Product {

    @ManyToMany(mappedBy = "matchingWines")
    private Set<Cheese> matchingCheeses;

    public Wine() {
        // For hibernate.
    }

    public Wine(String name, String description, double price) {
        super(name, description, price);
    }

    //
    public Set<Cheese> getMatchingCheeses() {
        return matchingCheeses;
    }

}
