package com.cheesr.layers;

import org.junit.runner.RunWith;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

/**
 * Default implementation of Spring context aware test cases. Subclasses are able to access Spring beans, 
 * using the regular spring wiring annotations (e.g. @Autowired and @Resource).
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(locations = { "classpath:applicationContext.xml", "classpath:test-applicationContext.xml" })
public abstract class AbstractSpringContextTestCase {

}
